\section{Our Results}
In this work, we apply the \textit{reservation-per-item} model to the \textit{Postdoc Problem} and to the \textit{Best or Worst Problem}. Our main focus is on the \textit{Postdoc Problem}. We show that for reservation costs greater or equal to $(k_0(n-k_0))/(n(n-1))$, where $n$ is the number of candidates and $k_0 = \ceil{n/2}$, the classic strategy of accepting the first second-best candidate so far in the second half of candidates is optimal. We show that the optimal strategy for smaller reservation costs operates in 6 phases, given by five thresholds as shown in Figure~\ref{fig:opt}. We analyze the limits of those thresholds and the expected gain of the optimal strategy as the number of candidates goes to infinity. The results are visualized in Figure~\ref{fig:limits123}. We show that the \textit{Postdoc Problem} remains harder than the \textit{Secretary Problem} in the \textit{reservation-per-item} model.

In the second chapter, we show that the methods used to obtain these results can be transferred to similar variants like the \textit{Best or Worst Problem}. We show that for reservation costs greater than $\ln(2)/2$, the classic strategy of accepting the first best or worst candidate in the second half of candidates is optimal. We then show that the optimal strategy for smaller reservation costs is again a threshold strategy given by two thresholds, as shown in Figure~\ref{fig:bow_opt_strat_struc}. We analyze the thresholds and the expected gain as the number of candidates goes to infinity. The results are visualized in Figure~\ref{fig:bow_limits}.
